Skip to main content
PUT
/
api2
/
v1
/
customFields
/
{fieldUid}
Edit custom field
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/customFields/{fieldUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowedEntities": [],
  "name": "<string>",
  "addOptions": [
    "<string>"
  ],
  "deprecateOptions": [
    {
      "uid": "<string>"
    }
  ],
  "description": "<string>",
  "removeOptions": [
    {
      "uid": "<string>"
    }
  ],
  "required": true,
  "undeprecateOptions": [
    {
      "uid": "<string>"
    }
  ]
}
'
{
  "allowedEntities": [],
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "description": "<string>",
  "lastModified": "2023-11-07T05:31:56Z",
  "lastModifiedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "name": "<string>",
  "options": {
    "remainingCount": 123,
    "truncatedOptions": [
      {
        "deprecated": true,
        "uid": "<string>",
        "used": true,
        "value": "<string>"
      }
    ]
  },
  "required": true,
  "requiredFrom": "2023-11-07T05:31:56Z",
  "uid": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

fieldUid
string
required

Unique identifier of the custom field

Body

application/json

Custom field data to update

allowedEntities
enum<string>[]
required

Entity (project or job) the custom field can be assigned to. Currently exactly one entity must be supplied

Available options:
PROJECT,
JOB
name
string
required

Name of the custom field, at most 255 characters

Maximum string length: 255
addOptions
string[]

Option values to add to the field (SINGLE_SELECT and MULTI_SELECT only)

deprecateOptions
object[]

Options to deprecate, referenced by UID

description
string

Description of the custom field, at most 500 characters

Maximum string length: 500
removeOptions
object[]

Options to remove from the field, referenced by UID

required
boolean

Whether the custom field must be filled in for its allowed entities

undeprecateOptions
object[]

Previously deprecated options to reactivate, referenced by UID

Response

OK

allowedEntities
enum<string>[]

Entities (project or job) the custom field can be assigned to

Available options:
PROJECT,
JOB
createdAt
string<date-time>

Date and time the custom field was created

createdBy
object
description
string

Description of the custom field

lastModified
string<date-time>

Date and time the custom field was last modified

lastModifiedBy
object
name
string

Name of the custom field

options
object
required
boolean

Whether the custom field must be filled in for its allowed entities

requiredFrom
string<date-time>

Date and time from which the custom field is required; null when the field is not required

type
enum<string>

Type of the custom field

Available options:
MULTI_SELECT,
SINGLE_SELECT,
STRING,
NUMBER,
URL,
DATE
uid
string

Unique identifier of the custom field used in API paths